package com.supervision.controller;

import com.supervision.service.DiagnoseHallService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 问诊大厅
 */
@Api(tags = "问诊大厅")
@RestController
@RequestMapping("diagnoseHall")
@RequiredArgsConstructor
public class DiagnoseHallController {

    private final DiagnoseHallService diagnoseHallService;

    @ApiOperation("获取问诊资源")
    public boolean achieveDiagnoseResource(){
        return diagnoseHallService.achieveDiagnoseResource();
    }
}
